# storage
 The storage service is an Agentverse service that makes it easier for users and agents to transfer assets.  For this initial use case, we will not be support the agent to agent use case.  In this way, users of Agentverse can create assets and set permissions for these assets to other users.  Importantly only the User ↔ [Agent] interactions are supported.  The user is always in control and must always create the asset which can the agents are interacting with.  This is an ephemeral storage engine, and is only expected to be used for short periods of time. 

The `agentverse_client.storage` package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 0.1.0
- Package version: 1.0.0
- Generator version: 7.11.0
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python 3.8+

## Installation & Usage

This python library package is generated without supporting files like setup.py or requirements files

To be able to use it, you will need these dependencies in your own package that uses this library:

* urllib3 >= 1.25.3, < 3.0.0
* python-dateutil >= 2.8.2
* pydantic >= 2
* typing-extensions >= 4.7.1

## Getting Started

In your own code, to use this library to connect and interact with storage,
you can run the following:

```python

import agentverse_client.storage
from agentverse_client.storage.rest import ApiException
from pprint import pprint

```

## Documentation for API Endpoints

All URIs are relative to *http://localhost*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------


## Documentation For Models

 - [Asset](agentverse_client/storage/docs/Asset.md)
 - [AssetContent](agentverse_client/storage/docs/AssetContent.md)
 - [AssetDownload](agentverse_client/storage/docs/AssetDownload.md)
 - [AssetsList](agentverse_client/storage/docs/AssetsList.md)
 - [HTTPValidationError](agentverse_client/storage/docs/HTTPValidationError.md)
 - [LocationInner](agentverse_client/storage/docs/LocationInner.md)
 - [NewAsset](agentverse_client/storage/docs/NewAsset.md)
 - [NewPermission](agentverse_client/storage/docs/NewPermission.md)
 - [Pagination](agentverse_client/storage/docs/Pagination.md)
 - [Permission](agentverse_client/storage/docs/Permission.md)
 - [PermissionList](agentverse_client/storage/docs/PermissionList.md)
 - [UploadAssetResponse](agentverse_client/storage/docs/UploadAssetResponse.md)
 - [ValidationError](agentverse_client/storage/docs/ValidationError.md)


<a id="documentation-for-authorization"></a>
## Documentation For Authorization


Authentication schemes defined for the API:
<a id="FaunaAuthorizationScheme"></a>
### FaunaAuthorizationScheme

- **Type**: OAuth
- **Flow**: accessCode
- **Authorization URL**: 
- **Scopes**: N/A


## Author



